height = 5;

module screw(direction){
	color([0,1,0]) translate([-11/2*direction,0,height/2]) rotate([0,90,0]) cylinder(r=3/2,h=13,$fn=10,center=true);
}

difference(){
	union(){
		linear_extrude(height=height) import("portal_man_arm.dxf");
		rotate([0,0,11]) translate([20,-4.8,0]) scale([1.5,1.5,1]) linear_extrude(height=height) import("portal_man_cube.dxf");
	}
	screw(1);
}


translate([-10,20,0]) 
difference(){
	linear_extrude(height=height) import("portal_man_body.dxf");
	screw(-1);
}
